directories:
  output: dist
  buildResources: electron_js/icons
artifactName: ${productName}-${version}-${os}-${arch}.${ext}
appId: com.zoneminder.zmninja
productName: zmninja
compression: normal
asar: true
files:
  - filter:
      - electron_js/main.js
      - www/**/*
      - '!node_modules/**/*'
      - resources/icon.png
extraResources:
  - filter:
      - node_modules/electron-window-state/**/*
      - node_modules/jsonfile/**/*
      - node_modules/mkdirp/**/*
      - node_modules/deep-equal/**/*
      - node_modules/minimist/**/*
      - node_modules/menu/**/*
      - node_modules/clivas/**/*
      - node_modules/keypress/**/*
      - node_modules/define-properties/**/*
      - node_modules/es-abstract/**/*
      - node_modules/function-bind/**/*
      - node_modules/has/**/*
      - node_modules/has-symbols/**/*
      - node_modules/is-arguments/**/*
      - node_modules/is-date-object/**/*
      - node_modules/is-regex/**/*
      - node_modules/object-is/**/*
      - node_modules/object-keys/**/*
      - node_modules/regexp.prototype.flags/**/*
dmg:
  sign: false
mac:
  category: productivity
  artifactName: ${productName}-${version}-${os}-${arch}.${ext}
  target:
    target: dmg
    arch:
      - arm64
      - x64
  icon: icon.png
  identity: 'Apple Development: Steve Gilvarry (8R92CWDGAR)'
  entitlements: build/entitlements.mac.plist
  entitlementsInherit: build/entitlements.mac.plist
  hardenedRuntime: true
  gatekeeperAssess: false
win:
  icon: icon.ico
  target:
    - target: nsis
      arch:
        - x64
        - ia32
linux:
  category: Utility
  desktop:
    Name: zmNinja
  target:
    - target: AppImage
      arch:
        - x64
        - armv7l
        - arm64
electronVersion: 35.7.5
